$(document).ready(function () {
    var table = $('#tblPackingSlip').DataTable({
        responsive: false,
        "scrollX": true,
        "pageLength": 100,
        "order": [],
        "columns": [
            { "data": "custome_order_no" },
            { "data": "factory_po_num" },
            { "data": "shipment_id" },
            { "data": "edit", className: "edit", orderable: false },
            { "data": "view", className: "view", orderable: false },
            { "data": "print", className: "print", orderable: false },
            { "data": "delete", className: "delete", orderable: false },
        ],
        columnDefs: [

        ],
    });

    allPackingSlip();
});



function allPackingSlip() {
    $.ajax({
        type: "GET",
        url: "/sd/PackingSlipListController/allPackingSlip",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                var result = response.data.result;
                var data = [];
                for (var i = 0; i < result.length; i++) {
                    var packing_slip_id = response.data.result[i]["packing_slip_id"];

                    data.push({
                        "custome_order_no": result[i].customer_order_id,
                        "factory_po_num": result[i].factory_po,
                        "shipment_id": result[i].shipment_id,
                        "edit": '<button class="btn btn-primary" onclick="edit(' + packing_slip_id + ');"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',
                        "view": '<button class="btn btn-success" onclick="view(' + packing_slip_id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                        "print": '<button class="btn btn-warning" onclick="print(' + packing_slip_id + ')"><i class="fa fa-print" aria-hidden="true"></i></button>',
                        "delete": '<button class="btn btn-danger" onclick="_delete(' + packing_slip_id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>'
                    });
                }
                var table = $('#tblPackingSlip').DataTable();
                table.clear();
                table.rows.add(data).draw();
            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);

        },

    });
}

function view(id) {
    location.href = "/sd/packing_slip?id=" + id + "&action=view";
}

function edit(id) {
    location.href = "/sd/packing_slip?id=" + id + "&action=edit";
}


function _delete(id) {
    showAlert("Are You Sure?", id);
}

function showAlert(message, id) {
    swal({
        title: message,
        text: "Once deleted, you will not be able to recover this record!",
        icon: "warning",
        buttons: true,
        dangerMode: true,
    });

    $(".swal-button--confirm").on("click", function () {
        $.ajax({
            type: "DELETE",
            headers: {
                "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            url: "/sd/PackingSlipListController/delete/" + id,
            success: function (response) {
                console.log(response);
                showSuccessMessage("Packing slip deleted.");
                allPackingSlip();
            },
            error: function (data) {
                console.log(data);
            },
        });
    });
}


function print(id) {

    $.ajax({
        type: "GET",
        url: "/sd/PackingSlipListController/getPackingSlipData/" + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {
            // progress(true);
        },
        success: function (response) {
            console.log(response);
            var res = response.data.result[0];

            showPackingSlipReport(res, 'PRINT');

        },
        error: function (error) {
            console.log(error);
        },
        complete: function () {
            // progress(false);
        },
    });

}




function showPackingSlipReport(result, flag) {

    var Body = [];



    var Title = [
        {
            text: '\n',
            alignment: 'center'
        },
        {
            text: 'Riococo Lanka Pvt Ltd',
            alignment: 'center',
            fontSize: 12,
            bold: true,
        },

    ];



    var column1 = packingSlipReportBody(result);
    var column2 = [];


    var Header = [
        {
            content: [
                {
                    text: '',
                    alignment: 'center'
                },
                {
                    text: '\n',
                    alignment: 'center'
                },
            ]
        }
    ]


    Body.push([
        {
            columns: [
                column1,
                column2,

            ]

        },






    ]);
    //}

    var Footer = [
        {
            color: 'red',
            fontSize: 8,
            alignment: 'center',
            margin: [0, 0]
        }
    ];




    var page = new Page();
    page.setPageSize('A4');
    page.setPageOrientation('portrait');
    page.setPageMargin([5, 5, 5, 5]);
    page.setTitle(Title);
    page.setHeader(Header, Page.EVERY);
    page.setBody(Body);
    page.setFooter(Footer);
    if (flag == 'EXPORT') {
        page.export();
    } else if (flag == 'PRINT') {
        page.preview();
    }
}




function packingSlipReportBody(result) {


    console.log(result);

    var body = [
        [
            { text: 'Container / Packing List', fontSize: 18, bold: true, alignment: 'center', border: [true, true, true, true], colSpan: 2 },
            { text: '', fontSize: 10, bold: true, alignment: 'center', border: [true, true, true, true] },
        ]

    ];



    body.push(
        [
            { text: 'Customer Name : ', fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
            { text: 'Ceyhinz Link International Inc', fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
        ],
    );

    body.push(
        [
            { text: 'Container No:', fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
            { text: '', fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
        ],
    );

    body.push(
        [
            { text: 'Cust PO No :', fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
            { text: result.customer_order_id, fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
        ],
    );
    body.push(
        [
            { text: 'Factory PO No :', fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
            { text: result.factory_po, fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
        ],
    );

    body.push(
        [
            { text: 'Slab Size :', fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
            { text: '', fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
        ],
    );

    body.push(
        [
            { text: 'No. OF PCS. Per Pallet:', fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
            { text: '', fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
        ],
    );


    body.push(
        [
            { text: 'No. OF Pallet:', fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
            { text: result.no_of_pallet+" PALLETS", fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
        ],
    );

    body.push(
        [
            { text: 'Quantity :', fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
            { text: '', fontSize: 10, bold: false, alignment: 'center', border: [true, true, true, true] },
        ],
    );


    return [
        [{
            table: {
                widths: [80, '*'],
                heights: 20,
                headerRows: 2,
                body: body,

            },
            margin: [2, 2],
        }],
    ];
}




/**
 * showSuccessMessage
 * This function is used to show success message.
 * @param message This is the paramter to require message content
 */
function showSuccessMessage(message) {
    toastr.success(message);
}

/**
 * showWarningMessage
 * This function is used to show warning message.
 * @param message This is the paramter to require message content
 */
function showWarningMessage(message) {
    toastr.warning(message);
}

/**
 * showErrorMessage
 * This function is used to show error message.
 * @param message This is the paramter to require message content
 */
function showErrorMessage() {
    toastr.error("Something went wrong");
}
